Bug 133152 - Writer: Background image flipped when printing from 7.0 in Windows with Skia (Print Preview OK)
Summary: Writer: Background image flipped when printing from 7.0 in Windows with Skia ...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0
Keywords:
Depends on:
Blocks: Skia
  Show dependency treegraph
 
Reported: 2020-05-18 17:06 UTC by Timur
Modified: 2020-06-08 10:44 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
PDF wrong (102.61 KB, application/pdf)
2020-05-21 13:45 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timur 2020-05-18 17:06:29 UTC
Background image is flipped when printing from 7.0+ in Windows. Regression. Seen with simple *and* serial print.
Not with PDF export. Not in Linux. 

Use ODT attachment 160975 [details]  label document with background images from bug 124790 and print. 
For serial print, use ODS attachment 160976 [details] document with names for the labels. 

Result as PDF attachment 160980 [details]. 
Should be as PDF attachment 160979 [details] for simple print or PDF attachment 160978 [details] for serial print.
Comment 1 Xisco Faulí 2020-05-20 08:15:23 UTC Comment hidden (obsolete)
Comment 2 Timur 2020-05-21 07:34:15 UTC Comment hidden (obsolete)
Comment 3 Buovjaga 2020-05-21 13:36:02 UTC
Not reproduced. To the question "Do you want to print a form letter?" I reply No.

Version: 7.0.0.0.alpha1+ (x64)
Build ID: 4804d969bacd25ad586b3bf70d3dc8c27adb48ef
CPU threads: 4; OS: Windows 10.0 Build 18362; UI render: default; VCL: win; 
Locale: fi-FI (fi_FI); UI: en-US
Calc: threaded
Comment 4 Buovjaga 2020-05-21 13:36:32 UTC Comment hidden (obsolete)
Comment 5 Timur 2020-05-21 13:45:46 UTC Comment hidden (obsolete)
Comment 6 Timur 2020-05-21 13:50:45 UTC
This is Skia only, not on default UI. 
I repro today with PDFill and Master PDF Editor. 
I don't know about Microsoft PDF, I guess it's Win 10, I'm on Win 7.
Comment 7 Buovjaga 2020-05-21 14:30:52 UTC
Repro with Skia. Walked back in 3 steps of 500 commits from the master commit of 6.5 Win bibisect repo and I continued to see it.
Comment 8 Commit Notification 2020-05-22 11:27:04 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/aff8471dbffdd6d26e63533d7ffa8ddea6b2396b

convert properly SkiaSalBitmap to WinSalBitmap (tdf#133152)

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.